Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.client
Interface UiBinder<U,O>

Type Parameters:
  `U` - The type of the root object of the generated UI, typically a subclass of `Element` or `UiObject`
  `O` - The type of the object that will own the generated UI

All Known Subinterfaces:
  NativeHorizontalScrollbar.NativeHorizontalScrollbarUiBinder, NativeVerticalScrollbar.NativeVerticalScrollbarUiBinder, NotificationMole.Binder, ValueBoxEditorDecorator.Binder

    public interface UiBinder<U,O>

Interface implemented by classes that generate DOM or Widget structures from ui.xml template files, and which inject portions of the generated UI into the fields of an owner.

The generated UiBinder implementation will be based on an xml file resource in the same package as the owner class, with the same name and a "ui.xml" suffix. For example, a UI owned by class `bar.baz.Foo` will be sought in `/bar/baz/Foo.ui.xml`. (To use a different template file, put the `UiTemplate` annotation on your UiBinder interface declaration to point the code generator at it.)

Method Summary
`U` | `createAndBindUi(O owner)` Creates and returns the root object of the UI, and fills any fields of owner tagged with `UiField`.

Method Detail

### createAndBindUi

    U createAndBindUi(O owner)

  Creates and returns the root object of the UI, and fills any fields of owner tagged with `UiField`.

  Parameters:
    `owner` - the object whose @UiField needs will be filled

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD